uniform highp vec2 uWindowSize;
uniform sampler2D uVideoSampler;
uniform sampler2D uNoiseSampler;
uniform lowp vec4 uRandom;

void main() {
    gl_FragColor = texture2D(uVideoSampler, gl_FragCoord.xy/uWindowSize.xy)
        + (texture2D(uNoiseSampler, (gl_FragCoord.xy/vec2(128, 128))+uRandom.zw) - 0.75)
        * texture2D(uNoiseSampler, (gl_FragCoord.xy/vec2(128, 128))+uRandom.xw);
}